import React from 'react-native'

const {
    Dimensions,
    Platform,
    PixelRatio,
    } = React



const ScreenWidth = Dimensions.get('window').width
const ScreenHeight = Dimensions.get('window').height

// 定义设备像素密度和设计稿的像素密度, 以及具体使用时的缩放因子
const PR = PixelRatio.get()
const DPR = 3
const ScaleFactor = PR/(DPR*DPR)

let TopMargin = 0
let BottomMargin = 49

let NAV_BAR_HEIGHT = 44
let STATUS_BAR_HEIGHT = 20
if(Platform.OS==='android'){
    STATUS_BAR_HEIGHT = 0
    TopMargin = 25
    BottomMargin = 0
}

const NAV_HEIGHT = NAV_BAR_HEIGHT + STATUS_BAR_HEIGHT;

// 定义页面颜色
const PageBgColor = '#f7f7f7'

// 定义开发环境 0:开发环境  1:发布环境
let ENV = 1

const XTSNSPlatformWeiXin = 1
const XTSNSPlatformQQ = 2
const XTSNSPlatformWeibo = 3

const ListType_Normal='ListType_Normal';
const ListType_More='ListType_More';

const HttpStatus_Success='HttpStatus_Success';
const HttpStatus_Failure='HttpStatus_Failure';


export default {
    ENV,
    ScreenWidth,
    ScreenHeight,
    NAV_HEIGHT,
    NAV_BAR_HEIGHT,
    STATUS_BAR_HEIGHT,
    PageBgColor,
    PR,
    DPR,
    ScaleFactor,
    BottomMargin,
    TopMargin,
    XTSNSPlatformWeiXin,
    XTSNSPlatformQQ,
    XTSNSPlatformWeibo,
    ListType_Normal,
    ListType_More,
    HttpStatus_Success,
    HttpStatus_Failure,
}
