import React from 'react-native'
import CmnDefines from '../Defines/CmnDefines'


let Default_Url = ''


const RequestStatus = {
    success: 0,
}

function setDefaultUrl(url)
{
    Default_Url=url;
}

function postData(params={}, host=Default_Url) {
    const fetchUrl = host

    let body = ''
    for (let key in params) {
        body += key + '=' + params[key] + '&'
    }

    return fetch(fetchUrl, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        body: body
    })
        .then((response) => response.json())
        .catch((error)=>{console.log(error)})
}

function getData(params={}, host=Default_Url) {
    let fetchUrl = `${host}?`
    for (let key in params) {
        fetchUrl += key + '=' + params[key] + '&'
    }
    console.log(fetchUrl);
    return fetch(fetchUrl, {
        method: 'GET',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json'
        },
    })
        .then((response) => response.json())
        .catch((error)=>{console.log(error)})
}

function getDataByXMLHttpRequest(params={},callBack, host=Default_Url ) {
    let fetchUrl = `${host}?`
    for (let key in params) {
        fetchUrl += key + '=' + params[key] + '&'
    }
    console.log(fetchUrl);

    let request = new XMLHttpRequest();
    request.onreadystatechange = (e) => {
        if (request.readyState !== 4) {
            return;
        }

        if (request.status === 200) {
            callBack(CmnDefines.HttpStatus_Success,request.responseText);
        } else {
            callBack(CmnDefines.HttpStatus_Failure);
        }
    };
    request.open('GET', fetchUrl);
    request.send();
}







export default {
    RequestStatus,
    setDefaultUrl,
    getData,
    postData,
    getDataByXMLHttpRequest,
}
