import React from 'react-native'
import CmnDefines from '../Defines/CmnDefines'

const {
    StyleSheet,
    } = React;


let Navigation = StyleSheet.create({
    NavigationBar: {
        marginTop:-CmnDefines.TopMargin,
        width:CmnDefines.ScreenWidth,
        backgroundColor:'#f7f7f7',

    },
    CustomNavigationBar: {
        backgroundColor:'#f7f7f7',
        height:CmnDefines.NAV_HEIGHT,
        width:CmnDefines.ScreenWidth,
        alignItems:'center',
        flexDirection:'row',

    },
});

let Container = StyleSheet.create({

    ActivityContainer: {
        flex: 1,
        backgroundColor: '#eeeeee',
        marginBottom: CmnDefines.BottomMargin,
        flexDirection:'column'
    },

    ColumnContainer: {
        backgroundColor: 'white',
        flexDirection:'column',
        backgroundColor: '#ffffff',
        alignItems: 'center',
        paddingLeft:10,
        paddingRight:10,
    },

    RowContainer: {
        backgroundColor: 'white',
        flexDirection:'row',
        alignItems: 'center',
        paddingLeft:10,
        paddingRight:10,
    },

});

let Separator = StyleSheet.create({
    HorizontalSeparator: {
        flex:1,
        height: 0.6,
        backgroundColor: '#dddddd',
        alignSelf:'center',
    },
    VerticalSeparator: {
        flex:1,
        width: 0.6,
        backgroundColor: '#dddddd',
        alignSelf:'center',
    },
});




let TouchableHighlight = StyleSheet.create({
    Radius: {
        borderRadius:10,
    },

});

let ListView = StyleSheet.create({
    ListView: {
        backgroundColor: '#eeeeee',
        flex: 1,
    },
    RowContainer: {
        flexDirection: 'row',
        backgroundColor: '#ffffff',
        alignItems: 'center',
        paddingLeft:10,
        paddingRight:10,
        marginTop:10,
        marginBottom:10,
    },
    RowContainerNoneSpace: {
        flexDirection: 'row',
        backgroundColor: '#ffffff',
        alignItems: 'center',
    },
    ColumnContainer: {
        flexDirection: 'column',
        backgroundColor: '#ffffff',
        alignItems: 'center',
        paddingLeft:10,
        paddingRight:10,
        marginTop:10,
        marginBottom:10,
    },
    ColumnContainerNoneSpace: {
        flexDirection: 'column',
        backgroundColor: '#ffffff',
        alignItems: 'center',
    },

    RowImage: {
        justifyContent: 'center',
        alignItems: 'center',
        alignSelf: 'center',
        resizeMode: 'contain',
    },
    RowText: {
        backgroundColor: '#ffffff00',
        alignItems: 'center',
        justifyContent: 'center',
        alignSelf: 'center',
    },
});

export default {
    Navigation,
    Container,
    Separator,
    TouchableHighlight,
    ListView,
}
