import React from 'react-native'
import AppStyles from '../Styles/AppStyles'

const {
    Component,
    ListView,
    TouchableHighlight,
    Text,
    Image,
    View,
    } = React


let listData=[];
let listType;
let defaultImage;
let clickedCallback;

class ImageHListView extends Component {
    constructor(props) {
        super(props)

        //id,name,descripe,imgUrl,obj

        this.state = {
            dataSource: new ListView.DataSource({rowHasChanged: (row1, row2) => row1 !== row2,}),
        }
    }

    render() {

        if(this.props.listData)
            listData=this.props.listData;
        listType=this.props.listType;
        defaultImage=this.props.defaultImage;
        clickedCallback=this.props.clickedCallback;

        let width=this.props.width;

        this.state = {
            dataSource:this.state.dataSource.cloneWithRows(listData),
        }


        return (

            <ListView
                style={[AppStyles.ListView.ListView,{flex:0,width:width,height:200}]}
                horizontal={true}
                dataSource={this.state.dataSource}
                renderRow={this.renderRow.bind(this)}
                automaticallyAdjustContentInsets={true}
                showsHorizontalScrollIndicator={false}
            />
        )
    }

    renderRow(rowData, sectionID, rowID) {
        let image
        if (rowData.imgUrl == '') {
            image = defaultImage
        }else {
            image = {uri: rowData.imgUrl}
        }
        return(
            <TouchableHighlight underlayColor='#dddddd'  onPress={() => {clickedCallback(rowData.obj);}}>
                <View style={[AppStyles.ListView.ColumnContainer,{marginTop:0,paddingTop:10,paddingBottom:10,paddingLeft:10,paddingRight:10}]}>
                    <Image
                        style={[AppStyles.ListView.RowImage,{width:80,height:120,backdropColor:'red'}]}
                        source={image}
                    />
                    <Text
                        style={[AppStyles.ListView.RowText,{width:80,height:40}]}
                        numberOfLines={2}>
                        {rowData.name}
                    </Text>
                    <Text
                        style={[AppStyles.ListView.RowText,{width:80,height:20}]}
                        numberOfLines={1}>
                        {rowData.descripe}
                    </Text>
                </View>
            </TouchableHighlight>
        )
    }
}


export default ImageHListView
