import React from 'react-native'
import AppStyles from '../Styles/AppStyles'
import CmnDefines from '../Defines/CmnDefines'

const {
    Component,
    View,
    Text,
    ListView,
    TouchableHighlight,
} = React;

let listData;
let listType;
let clickedCallback;

class SimpleVListView extends Component {
    constructor(props) {
        super(props)

        //id,name,obj
        this.state = {
            dataSource: (new ListView.DataSource({rowHasChanged: (row1, row2) => row1.list_id !== row2.list_id})),
        }

    }

    componentWillMount() {



    }


    render() {

        listData=this.props.data;
        listType=this.props.type;

        clickedCallback=this.props.clickedCallback;

        let width=this.props.width;

        this.state = {
            dataSource:this.state.dataSource.cloneWithRows(listData),
        }

        return(
                <ListView style={[AppStyles.ListView.ListView,{width:width}]}
                          dataSource={this.state.dataSource}
                          renderRow={this.renderRow.bind(this)}
                          automaticallyAdjustContentInsets={false}
                />
        )
    }

    renderRow(rowData, sectionID, rowID) {

        let rightView=<View/>
        if(listType===CmnDefines.ListType_More)
            rightView=(<Text style={[AppStyles.ListView.RowText,{color:'#111111',alignSelf:'flex-end',position:'absolute',right:10}]}>></Text>)

        return (
            <TouchableHighlight style={[AppStyles.Container.RowContainer,{backgroundColor:'white',paddingTop:10,paddingBottom:10,paddingLeft:0,paddingRight:0,marginTop:0,marginBottom:1,}]} underlayColor='#ffffff' onPress={() => {

                 clickedCallback(rowData.obj);
            }}>
                <View>
                    <View style={[AppStyles.Container.RowContainer,{paddingLeft:10,paddingRight:0,width:CmnDefines.ScreenWidth}]}>
                        <Text style={[AppStyles.ListView.RowText,{color:'#111111',alignSelf: 'flex-start'}]}>
                            {rowData.name}
                        </Text>
                        {rightView}
                    </View>
                </View>


            </TouchableHighlight>

        )
    }

}

export default SimpleVListView
