import React from 'react-native'
import NavigationBar from 'react-native-navbar'
import AppStyles from '../Styles/AppStyles'
import  CmnDefines from '../Defines/CmnDefines'

const {
    Component,
    Image,
    View,
    TouchableHighlight,
} = React;

class LeftButton extends Component {
    render() {
        return(
            <TouchableHighlight
                 underlayColor='#ffffff' onPress={()=>{
                     if (this.props.backButtonClick) {
                         this.props.backButtonClick()
                     }
                     this.props.navigator.pop()
                }}
            >
                <Image style={{marginLeft:10,marginTop:2,width: 25,height:17,resizeMode:'contain',}}
                       source={require('../Resources/image/navbar_back_normal.png')}/>
            </TouchableHighlight>
        )
    }

}

class XTNavigationBar extends Component {
    constructor(props) {
        super(props)
    }

    render() {
        return(
            <View style={[AppStyles.Container.RowContainer,{width:CmnDefines.ScreenWidth,paddingLeft:0}]}>
            <NavigationBar
                style={AppStyles.Navigation.NavigationBar}
                title={this.props.titleView==undefined ? {title: this.props.title, color: '#111111'} : (this.props.titleView)}
                tintColor='#fff'
                leftButton={this.props.hiddenLeftButton==true?(<View />):(<LeftButton navigator={this.props.navigator} backButtonClick={this.props.backButtonClick} />)}
                rightButton={this.props.rightButton}
            />
            </View>
        )
    }

}

export default XTNavigationBar
