import React from 'react-native'
import AppStyles from '../Styles/AppStyles'

const {
    StyleSheet,
    Text,
    View,
    Component,
    Image,
    ListView,
    TouchableHighlight,
    } = React;


let listData=[];
let listData2=[];
let selectedColor;
let normalColor;
let selectedCallBack;

class XTSegmentControl extends Component {
    constructor(props) {
        super(props)


    }

    render() {

        listData = this.props.data;

        for(let ii=1;ii<listData.length-1;ii++)
            listData2.push(listData[ii]);

        selectedColor=this.props.selectedColor;
        normalColor=this.props.normalColor;
        selectedCallBack=this.props.selectedCallBack;

        this.state = {
            selectedIndex:this.props.selectedIndex,
            dataSource: (new ListView.DataSource({rowHasChanged: (row1, row2) => row1.list_id !== row2.list_id})).cloneWithRows(listData2),
        }


        let width=listData.length*50+20;
        let selectedIndex=this.state.selectedIndex;

        let rightView=( <View style={{flexDirection:'row',height:28,width:20,backgroundColor:'white',marginLeft:50,marginTop:1,marginBottom:1}}>
            <View style={{height:28,width:10,backgroundColor:selectedIndex==0?selectedColor:'white'}}/>
            <View style={[AppStyles.Separator.VerticalSeparator,{flex:0,height:30,width:1,backgroundColor:selectedColor,alignSelf:'center'}]}/>
            <View style={{height:28,width:10,backgroundColor:selectedIndex==listData.length-1?selectedColor:'white'}}/>
        </View>);


        if(listData.length>2)
        {

            width=listData.length*50;
            rightView=( <TouchableHighlight
                style={{borderRadius:0,borderColor:selectedColor,borderWidth:1,backgroundColor:'white',height:30,width:width-100,paddingTop:0,paddingBottom:0,paddingLeft:0,paddingRight:0,marginLeft:50,overflow:'hidden'}}
                underlayColor='#ffffff' onPress={() => {}}>

                <ListView
                    style={[AppStyles.ListView.ListView,{padding:0,overflow:'hidden'}]}
                    dataSource={this.state.dataSource}
                    renderRow={this.renderRow.bind(this)}
                    horizontal={true}
                    automaticallyAdjustContentInsets={true}
                    showsHorizontalScrollIndicator={false}
                />
            </TouchableHighlight>);

        }



        return (
            <View style={[AppStyles.Container.RowContainer,{width:width,height:30,paddingLeft:0,paddingRight:0,backgroundColor:'#ffffff00'}]}>


                <TouchableHighlight
                    style={[AppStyles.TouchableHighlight.Radius,{flexDirection:'row',borderColor:selectedColor,borderWidth:1,backgroundColor:selectedIndex==0?selectedColor:'white',position:'absolute',left:0,width:70,height:30,paddingRight:10,alignItems:'center'}]}
                    underlayColor='#ffffff' onPress={() => {
                    this.setState({
                        selectedIndex:0,
                        dataSource: this.state.dataSource.cloneWithRows([]),
                    })

                     this.setState({
                         dataSource: this.state.dataSource.cloneWithRows(listData2),
                    })
                     selectedCallBack(0);}}>

                    <Text
                        style={[AppStyles.ListView.RowText,{flex:1,color:selectedIndex==0?'white':selectedColor,alignSelf: 'center',textAlign:'center'}]}>
                        {listData[0]}
                    </Text>

                </TouchableHighlight>




                <TouchableHighlight
                    style={[AppStyles.TouchableHighlight.Radius,{flexDirection:'row',borderColor:selectedColor,borderWidth:1,backgroundColor:selectedIndex==listData.length-1?selectedColor:'white',width:70,height:30,position:'absolute',right:0,paddingLeft:10,alignItems:'center'}]}
                    underlayColor='#ffffff' onPress={() => {
                    this.setState({
                         selectedIndex:listData.length-1,
                         dataSource: this.state.dataSource.cloneWithRows([]),
                    })
                     this.setState({
                         dataSource: this.state.dataSource.cloneWithRows(listData2),
                    })

                     selectedCallBack(listData.length-1);}}>

                    <Text
                        style={[AppStyles.ListView.RowText,{flex:1,color:selectedIndex==listData.length-1?'white':selectedColor,alignSelf: 'center',textAlign:'center'}]}>
                        {listData[listData.length-1]}
                    </Text>

                </TouchableHighlight>


                {rightView}




            </View>
        )
    }

    renderRow(rowData, sectionID, rowID) {


        let backGroundColor='white';
        let textColor=selectedColor;



        let rightView = (<View
            style={[AppStyles.Separator.VerticalSeparator,{flex:0,height:28,width:1,backgroundColor:selectedColor,alignSelf:'flex-end'}]}/>)


        if (parseInt(rowID) == this.state.selectedIndex-1)
        {
            backGroundColor=selectedColor;
            textColor='white';
        }

        return (
            <TouchableHighlight style={[AppStyles.ListView.RowContainerNoneSpace,{flexDirection:'row',backgroundColor:backGroundColor,paddingRight:0}]} underlayColor='#ffffff' onPress={() => {
                this.setState({
                        selectedIndex:parseInt(rowID)+1,
                         dataSource: this.state.dataSource.cloneWithRows([]),
                    })

                     this.setState({
                         dataSource: this.state.dataSource.cloneWithRows(listData2),
                    })
                selectedCallBack(parseInt(rowID)+1);


            }}>
                <View>
                    <View style={[AppStyles.Container.RowContainerNoneSpace,{flexDirection:'row',alignItem:'center',width:50,backgroundColor:backGroundColor}]}>
                        <Text
                            style={[AppStyles.ListView.RowText,{width:50,flex:1,color:textColor,alignSelf: 'center',textAlign:'center'}]}>
                            {rowData}
                        </Text>
                        {rightView}
                    </View>
                </View>


            </TouchableHighlight>

        )
    }
}


export default XTSegmentControl
